This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 427659 - init script uses inconsistent locations for lock file
init script uses inconsistent locations for lock file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: up-imapproxy (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On: 460583
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 06:31 EST by Tim Jackson
Modified: 2008-08-31 10:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-31 10:15:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2008-01-06 06:31:55 EST
Description of problem:
The init script uses inconsistent locations for the lock file. On one line we have:

lockfile=/var/lock/subsys/imapproxy

followed later by:

 condrestart)
        [ -f /var/lock/subsys/in.imapproxyd ] && restart || :


I picked this up from the following rpmlint error:

E: incoherent-subsys /etc/rc.d/init.d/imapproxy in.imapproxyd

This is true in the 'devel' CVS branch and in at least some (if not all)
released versions including up-imapproxy-1.2.4-7.fc6 (which is current for F-8)
Comment 1 Bug Zapper 2008-05-14 00:18:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Rakesh Pandit 2008-08-28 15:50:21 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=460583
Filed an update to latest stable 1.2.6, will fix this issue there.
Comment 3 manuel wolfshant 2008-08-29 10:00:08 EDT
this is fixed by bz #460583. please close the bug once the package is built.
Comment 4 Rakesh Pandit 2008-08-31 10:15:08 EDT
Build

Note You need to log in before you can comment on or make changes to this bug.